Summary:	A network game browser
Name:		xqf
Version:	1.0.5
Release:	%mkrel 10
License:	GPLv2+
Group:          Games/Other
URL:		http://www.linuxgames.com/xqf
Source:         http://prdownloads.sourceforge.net/xqf/%{name}-%{version}.tar.bz2
Patch0:		xqf-1.0.5-do-not-hang-after-game-launch.patch
Requires:	qstat >= 2.5c-4mdk
BuildRequires:	desktop-file-utils
BuildRequires:	perl(XML::Parser)
BuildRequires:	libbzip2-devel
BuildRequires:	libgeoip-devel
BuildRequires:	libgtk+2-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
XQF is a network game browser (e.g. Quake, Sin, etc.). It helps you
locate and connect to game servers.  It has configurable server and
player filters so you can find a server running your favorite game type
or that has a buddy.

%prep
%setup -q
%patch0 -p1

%build
sed -i 's/_32x32.png//g;' %{name}.desktop.in
%configure2_5x \
	--with-qstat=%{_bindir}/qstat-quake \
	--disable-gtk \
	--enable-gtk2 \
	--enable-bzip2 \
	--enable-geoip

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# menu entry
desktop-file-install \
    --remove-category="Application" \
    --remove-category="X-SuSE-Core-Game" \
    --remove-category="ActionGame" \
    --add-category="ArcadeGame" \
    --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{22x22,32x32,48x48}/apps/
mv -f %{buildroot}%{_datadir}/pixmaps/%{name}_22x22.png %{buildroot}%{_iconsdir}/hicolor/22x22/apps/%{name}.png
mv -f %{buildroot}%{_datadir}/pixmaps/%{name}_32x32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
mv -f %{buildroot}%{_datadir}/pixmaps/%{name}_48x48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
rm -rf %{buildroot}%{_datadir}/pixmaps

%find_lang %{name}

%if %mdkversion < 200900
%post
%{update_menus}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_icon_cache hicolor
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%doc docs/*html docs/PreLaunch.example
%dir %{_datadir}/%{name}
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/%{name}/*
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-10mdv2011.0
+ Revision: 615732
- the mass rebuild of 2010.1 packages

* Sun Apr 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.5-9mdv2010.1
+ Revision: 536338
- Patch0: fix 100%% cpu hog, after a game launch
- fix menu category

* Tue Feb 23 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.5-8mdv2010.1
+ Revision: 510217
- rebuild

* Mon Sep 21 2009 Thierry Vignaud <tv@mandriva.org> 1.0.5-7mdv2010.0
+ Revision: 446267
- rebuild

* Sat Mar 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.5-6mdv2009.1
+ Revision: 355015
- rebuild

* Sat Aug 09 2008 Thierry Vignaud <tv@mandriva.org> 1.0.5-5mdv2009.0
+ Revision: 269816
- rebuild early 2009.0 package (before pixel changes)
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - rebuild
    - do not package COPYING file

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Sep 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.5-3mdv2008.0
+ Revision: 85680
- update icons cache

* Fri Sep 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.5-2mdv2008.0
+ Revision: 85667
- new license policy
- compile with gtk+2.0 support
- use bzip2 compression
- compile with geoip support
- do not hardcode icon extension
- move icons to the fd.o compiliant directory
- spec file clean


* Tue Nov 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.5-1mdv2007.0
+ Revision: 87889
- new version
  drop old debian menu
- Import xqf

* Sat Sep 09 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.4-4mdv2007.0
- Add missing Quote on menu file

* Fri Sep 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.4-3mdv2007.0
- buildrequires desktop-file-utils

* Wed Jul 12 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.4-2mdv2007.0
- xdg menu

* Wed Nov 02 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.4-1mdk
- New release 1.0.4

* Thu Aug 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.3-3mdk
- don't own system dir

* Sat Jul 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.3-2mdk
- Fix BuildRequires

* Tue Apr 26 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.3-1mdk
- New release 1.0.3
- spec cleanup
- fix menu

* Wed Jul 14 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.9.14-1mdk 
- new version
- fixed menu entry
- rpmbuilupdate aware

* Tue Mar 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.13-3mdk
- qstat was renammed to qstat-quake

* Tue Dec 16 2003 Stefan van der Eijk <stefan@eijk.nu> 0.9.13-2mdk
- quiet setup & reupload

* Tue Dec 02 2003 Cameron Hart <cam@bitshifter.net.nz> 0.9.13-1mdk
- updated to latest release
- add Mandrake menu item

